# synfigapp::Action::ParamDesc Class Reference

`#include <action_param.h>`

List of all members.

## Public Member Functions

| ParamDesc (const synfig::String &name, Param::Type type)
const synfig::String & | get_name () const
const synfig::String & | get_desc () const
const synfig::String & | get_mutual_exclusion () const
const synfig::String & | get_local_name () const
const Param::Type & | get_type () const
bool | get_user_supplied () const
bool | get_supports_multiple () const
bool | get_requires_multiple () const
bool | get_optional () const
ParamDesc & | set_local_name (const synfig::String &x)
ParamDesc & | set_desc (const synfig::String &x)
ParamDesc & | set_mutual_exclusion (const synfig::String &x)
ParamDesc & | set_user_supplied (bool x=true)
ParamDesc & | set_supports_multiple (bool x=true)
ParamDesc & | set_requires_multiple (bool x=true)
ParamDesc & | set_optional (bool x=true)

## Constructor & Destructor Documentation

synfigapp::Action::ParamDesc::ParamDesc | ( | const synfig::String & | name,
|  | Param::Type | type |
| ) |  |  | `[inline]`

## Member Function Documentation

const synfig::String& synfigapp::Action::ParamDesc::get_name | ( |  | ) | const`[inline]`

const synfig::String& synfigapp::Action::ParamDesc::get_desc | ( |  | ) | const`[inline]`

const synfig::String& synfigapp::Action::ParamDesc::get_mutual_exclusion | ( |  | ) | const`[inline]`

const synfig::String& synfigapp::Action::ParamDesc::get_local_name | ( |  | ) | const`[inline]`

const Param::Type& synfigapp::Action::ParamDesc::get_type | ( |  | ) | const`[inline]`

bool synfigapp::Action::ParamDesc::get_user_supplied | ( |  | ) | const`[inline]`

bool synfigapp::Action::ParamDesc::get_supports_multiple | ( |  | ) | const`[inline]`

bool synfigapp::Action::ParamDesc::get_requires_multiple | ( |  | ) | const`[inline]`

bool synfigapp::Action::ParamDesc::get_optional | ( |  | ) | const`[inline]`

ParamDesc& synfigapp::Action::ParamDesc::set_local_name | ( | const synfig::String & | x | ) | `[inline]`

ParamDesc& synfigapp::Action::ParamDesc::set_desc | ( | const synfig::String & | x | ) | `[inline]`

ParamDesc& synfigapp::Action::ParamDesc::set_mutual_exclusion | ( | const synfig::String & | x | ) | `[inline]`

ParamDesc& synfigapp::Action::ParamDesc::set_user_supplied | ( | bool | x = `true` | ) | `[inline]`

ParamDesc& synfigapp::Action::ParamDesc::set_supports_multiple | ( | bool | x = `true` | ) | `[inline]`

ParamDesc& synfigapp::Action::ParamDesc::set_requires_multiple | ( | bool | x = `true` | ) | `[inline]`

ParamDesc& synfigapp::Action::ParamDesc::set_optional | ( | bool | x = `true` | ) | `[inline]`

The documentation for this class was generated from the following file:

- action_param.h